.Express_header {
    padding: 0;
    .navbar {
        background-color: $primary-color;
        border: none;
        @include border-radius(0);
        margin: 0;
        padding: 10px 15px;
        z-index: 100;
        &.navbar-fixed-top {
            background-color: rgba(0,0,0,0);
            padding: 0px 15px;
            top: 25px;
            @include transition(all 0s ease);
            &.affix {
                background-color: $primary-color;
                padding: 10px;
                top: 0;
                @include transition(all 0s ease);
                .navbar-brand {
                    width: 205px;
                }
                & .nav > li > a, & .nav > li > span {
                    padding: 7px 15px 8px;
                }
                & .nav li a.navbar_btn {
                    padding: 7px 22px 8px;
                }
            }
        }
        &.affix {
            width: 100%;
        }
        .container {
            max-width: 1273px;
            padding: 0;
            width: 100%;
        }
        .navbar-brand {
            color: #ffffff;
            float: left;
            font-size: 30px;
            font-weight: 600;
            height: auto;
            line-height: 1.3;
            margin: 0;
            padding: 0;
            text-transform: uppercase;
            & > img {
                display: block;
                float: left;
            }
        }
        .navbar-toggle {
            background: transparent;
            border: none;
            margin: 0;
            .icon-bar {
                background: #ffffff;
                height: 2px;
                @include transition(all 0.2s ease);
                width: 22px;
            }                                
            .top-bar {
                transform: rotate(45deg);
                transform-origin: 10% 10%;
            }
            .middle-bar {
                opacity: 0;
            }
            .bottom-bar {
                transform: rotate(-45deg);
                transform-origin: 10% 90%;
            }
            &.collapsed {
                .top-bar {
                    transform: rotate(0);
                }
                .middle-bar {
                    opacity: 1;
                }
                .bottom-bar {
                    transform: rotate(0);
                }
            }
            &:hover {
                background: transparent !important;
            }
        }
    }
    .header_navbar {
        .navbar-right {
            margin-right: 0;
        }
        .nav {
            & > li {
                & > a, & > span {
                    color: #ffffff;
                    float: left;
                    font-size: 16px;
                    line-height: 1.3;
                    padding: 14px 15px 15px;
                    text-transform: uppercase;
                    @include transition(all 0.15s ease);

                    &:hover, &:focus {
                        background-color: rgba(0, 0, 0, 0);
                    }
                }
            }
            li {
                span.tether_val {
                    padding-left: 37px !important;
                    margin-right: 28px;
                    &:before {
                        background-color: rgba(0, 0, 0, 0);
                        background-image: url("../images/icon-tether.png");
                        background-position: 0 0;
                        background-repeat: no-repeat;
                        background-size: 100% auto;
                        content: '';
                        display: inline-block;
                        height: 27px;
                        left: 0;
                        position: absolute;
                        top: 50%;
                        -moz-transform: translateY(-50%);
                        -o-transform: translateY(-50%);
                        -ms-transform: translateY(-50%);
                        -webkit-transform: translateY(-50%);
                        transform: translateY(-50%) !important;
                        width: 26px;
                    }
                }
                a {
                    &:hover, &:focus {
                        color: $secondary-color;
                    }
                    &.navbar_btn {
                        background-color: #ffffff;
                        color: #282828;
                        font-weight: 600;
                        margin-right: 18px;
                        padding: 14px 22px 15px;
                        &.active {
                            background-color: $secondary-color;
                            color: #ffffff;
                        }
                        &:hover, &:focus {
                            background-color: $secondary-color;
                            color: #ffffff;
                        }
                    }
                }
                &.active {
                    a {
                        color: $secondary-color;
                        &.navbar_btn {
                            &.active {
                                background-color: $secondary-color;
                                color: #ffffff;
                            }
                            &:hover, &:focus {
                                background-color: $secondary-color;
                                color: #ffffff;
                            }
                        }
                    }
                }
                &:last-child {
                    a {
                        &.navbar_btn {
                            margin-right: 0;
                        }
                    }
                }
            }
        }
        .navbar_btnSec {
            display: none;
        }
    }
}


.inner_pages {
    background-color: $light_bg;
    .Express_header {
        .affix-top {
            .navbar-header {
                @include breakpoint(small) {   
                    padding: 15px !important;
                    padding-right:5px !important; 
                }
            }   
        }             
        .navbar {
            .navbar-brand {
                margin-top: 16px;
                @include breakpoint(xlarge) {   
                    margin-top: 22px;
                }
                @include breakpoint(small) {   
                    margin-top: 0px;
                }
            }
            &.navbar-fixed-top {
                position: relative;
                background-color: $primary-color;
                top: 0;
                &.affix {
                    position: fixed;
                    .navbar-brand {
                        margin-top: 0px;
                    }
                    .nav {
                        & > li { 
                            &.hideRes {
                                & > a {
                                    margin-top: 0px;
                                }
                            } 
                        }
                    }
                }
            }
            .nav {
                & > li { 
                    &.hideRes {
                        & > a {
                            margin-top: 14px;
                            @include breakpoint(small) {  
                                margin-top: 0px;
                            }
                            &.navbar_btn {
                                @include breakpoint(small) {  
                                    padding: 8px 25px;
                                }
                            }
                        }
                    }                   
                    & > a {
                        padding: 30px 15px;
                        @include breakpoint(small) {   
                            padding: 10px 15px;
                        }
                        &.navbar_btn {
                            padding: 15px;
                        }
                    }
                    span {
                        padding: 30px 15px;
                    }
                }
            }
        }
    }
}

.desklogo {
    display: block;
}
.mobilelogo {
    display: none !important;
}
.after_login {
    .Express_header  {
        .navbar {
            .navbar-brand {
                @include breakpoint(x-small) {
                    padding: 6px 0 2px;
                    width: 120px;
                }
            }
            .alternate_nav {
                a.navbar_btn {
                    @include breakpoint(small) {
                        display: none;
                    }
                }
            }
            .nav {
                li {
                    span {
                        &.tether_val {
                            @include breakpoint(small) {
                                display: none !important;
                            }    
                        }
                    }
                    &.logout {
                        display: none;
                        @include breakpoint(small) {
                            display: block;
                        }
                    }                    
                    &.hideRes {
                        @include breakpoint(small) {
                            display: block !important;                            
                        }
                        .navbar_btn {
                            @include breakpoint(small) {
                                margin: 0px !important;
                            }
                        }
                        &.dropdown {
                            @include breakpoint(small) {
                                display: none !important;
                            }
                            &.hideRes {
                                a {
                                    margin: 0px;
                                }
                            }
                        }
                    }
                    
                }
            }
        }
    }
}

/*  ----------------------------------------------------------------------------------
    Responsive Style Starts here
----------------------------------------------------------------------------------- */

@include breakpoint(xlarge) {         // 1600px
    .Express_header {
        .navbar {
            .navbar-brand {
                width: 180px;
            }   
            .container {
               // padding: 0 30px;
            }
        }
    }
}

@include breakpoint(large) {         // 1024px
    .Express_header {
        .navbar {
            .navbar-brand {
                width: 180px;
            }            
            .nav > li > a, .nav > li > span {
                font-size: 14px;
                padding: 7px 10px 8px;
            }
            .nav {
                li {
                    a.navbar_btn {
                        margin-right: 10px;
                        padding: 7px 15px 8px;
                    }
                    span.tether_val {
                        margin-right: 0;
                    }
                }
            }
            &.navbar-fixed-top {
                &.affix {
                    @include transition(all 0s ease);
                    .navbar-brand {
                        width: 180px;
                    }
                    & .nav > li > a, & .nav > li > span {
                        padding: 7px 10px 8px;
                    }
                    & .nav li a.navbar_btn {
                        padding: 7px 15px 8px;
                    }
                }
            }
        }
        
    }    
}

@include breakpoint(medium) {     // 991px
    .Express_header {
        .navbar {
            // .navbar-header {
            //     width: 100%;
            //     @include breakpoint(small) { 
            //         margin: 0px;
            //     }
            // }
            .navbar-collapse {
                box-shadow: none;
                @include breakpoint(small) {                     
                }
            }
        }
        
    }  
    .inner_pages {
        .Express_header {
            .navbar {
                &.affix {
                    .navbar-header {
                        margin-top:0px;
                        .navbar-brand {
                            margin-top:0px;
                        }
                    }  
                    .nav {
                        & > li {
                            span {
                                padding:5px 15px;
                            }
                        }
                    }  
                }
                // 345
                .navbar-collapse {
                    box-shadow: none;
                    @include breakpoint(small) { 
                        box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.15);
                    }
                }                
            }
        }
    }
}


@include breakpoint(small) {         // 767px
     
    .Express_header {
        .navbar {
            &.affix-top, &.affix {
                .navbar-header {
                    padding: 0 5px 0 15px;
                }
            }
            
            .alternate_nav {
                display: block !important;
                float: right;
                padding-right: 5px;
                text-align: left;
                & > a, & > span {
                    color: #ffffff;
                    float: left;
                    font-size: 14px;
                    line-height: 1.3;
                    padding: 7px 5px 7px;
                    text-transform: uppercase;
                    @include transition (all 0.15s ease);                
                }
                // a.navbar_btn {
                //     display: none;                
                // }
                span.tether_val {
                    // margin-right: 28px;
                    padding-left: 25px !important;
                    position: relative;
                    &:before {
                        background-color: rgba(0, 0, 0, 0);
                        background-image: url("../images/icon-tether.png");
                        background-position: 0 0;
                        background-repeat: no-repeat;
                        background-size: 100% auto;
                        content: '';
                        display: inline-block;
                        height: 21px;
                        left: 0;
                        position: absolute;
                        top: 50%;
                        @include transform(translateY(-50%));
                        width: 20px;
                    }
                }               
                
                a.navbar_btn {
                    background-color: #ffffff;
                    color: #282828;
                    font-weight: 600;
                    margin-right: 10px;
                    &:last-child {
                        margin-right: 0;
                    }
                    &:hover, &:focus {
                        background-color: #282828;
                        color: #ffffff;                    
                    }                  
                }
            }
        }
        .header_navbar {
            .nav {
                float: left;
                margin: 0;
                width: 100%;
                & > li > a {
                    color: #666;
                    padding: 8px 15px;
                    width: 100%;
                    &:hover, &:focus {
                        background-color: #282828;
                        color: #ffffff;                    
                    }
                }
                li {
                    float: left;
                    width: 100%;
                    &.hideRes {
                        display: none;
                        // &:last-child, &:nth-child(5) {
                        //     display: block;                            
                        // } 
                        a {
                            margin-left: 0px !important;
                            padding: 8px 25px;
                        }
                    }
                }
            }
            .navbar-collapse {
                background-color: #ffffff;
                border: 0px;
                @include border-radius(2px);
                @include box-shadow(0 0 2px 2px rgba(0,0,0,0.15));
                // @include box-shadow(none);
                margin: 0;
                padding: 0;
                right: 10px;
                top: 100%;
                position: absolute;
                width: 138px;
            }
        }
    }
    // .inner_pages {
    //     .Express_header {
    //         .navbar {
    //             &.affix {
    //                 padding-right:0; 
    //                 .navbar-header {
    //                     .navbar-brand {
    //                         width: auto;
    //                     }
    //                 }
    //             }
    //             &.affix-top {
    //                 padding-right:0; 
    //             }
    //             .navbar-header {
    //                 width: 100%;
    //                 margin: 0px;
    //                 margin-top:9px;
    //                 .navbar-brand {
    //                     width: auto;
    //                 }
    //             }               
    //         }
    //     }
    // }
    .mobilelogo {
        display: block !important;
        width: 64px;
    }
    .desklogo {
        display: none !important;
    }
}

@include breakpoint(x-small) {         // 480px
    .Express_header {
        .navbar {            
            .nav li a.navbar_btn {
                margin: 0 !important;            
            }
            .alternate_nav {
                a.navbar_btn {
                    display: none;                
                }
            }
            &.header_navbar {
                .nav {
                    li {
                        &.hideRes {
                            &:last-child, &:nth-child(5) {
                                display: block;                            
                            } 
                        }
                    }
                }
            }
        }        
    }
}

@media screen and (max-width: 360px) {
    .Express_header {
        .navbar {
            .alternate_nav {
                padding-right: 0;            
            }
            .navbar-brand {
                padding: 3px 0 2px;
                width: 150px;            
            }
            &.navbar-fixed-top.affix {
                .navbar-brand {
                    width: 150px;
                }
            }
        }
    }
    .mobilelogo {
        width: 54px;
    }
}



/*  ----------------------------------------------------------------------------------
    Responsive Style Ends here
----------------------------------------------------------------------------------- */